function MathUtils() {}
MathUtils.transform = function(size, point0, point1, point2) {
	var point1_0_x = point0.x - point1.x;
	var point1_0_y = point0.y - point1.y;
	var point1_2_x = point2.x - point1.x;
	var point1_2_y = point2.y - point1.y;
	var matrix = new createjs.Matrix2D();
	matrix.tx = point1.x;
	matrix.ty = point1.y;
	matrix.a = point1_0_x / size.x;
	matrix.b = point1_0_y / size.x;
	matrix.c = point1_2_x / size.y;
	matrix.d = point1_2_y / size.y;
	return matrix;
};
MathUtils.crossProduct2D = function(point0, point1) {
	return point0.x * point1.y - point0.y * point1.x;
};
MathUtils.rotatePoint2D = function(nRadians, nX, nY) {
	var nSin = Math.sin(nRadians);
	var nCos = Math.cos(nRadians);
	var point2D = new createjs.Point();
	point2D.x = nCos * nX - nSin * nY;
	point2D.y = nSin * nX + nCos * nY;
	return point2D;
};